Bug 428006 - SMB Daemon crashes when LDAP password not right
SMB Daemon crashes when LDAP password not right
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
8
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 12:10 EST by W. Michael Petullo
Modified: 2009-01-09 00:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from smbd during a crash (21.05 KB, text/plain)
2008-01-08 12:21 EST, W. Michael Petullo
no flags Details

  None (edit)
Description W. Michael Petullo 2008-01-08 12:10:59 EST
Description of problem:
I have a unit test script that performs several test on some server
configurations I use. One of the tests incorrectly sets smbd's LDAP password
using smbpasswd -W and then starts the smbd process using "service smb start."

Version-Release number of selected component (if applicable):
samba-3.0.28-0.fc8

How reproducible:
Every time with my script, but not yet by hand.

Steps to Reproduce:
  
Actual results:
I will attach smbd's output because a crash produces a lot of information.

Expected results:
smbd should not crash.

Additional info:
I have not been able to reproduce this by hand yet. However, my script causes
this to happen every time.
Comment 1 W. Michael Petullo 2008-01-08 12:21:50 EST
Created attachment 291069 [details]
Output from smbd during a crash
Comment 2 Bug Zapper 2008-11-26 04:20:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:44:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.